package com.hzya.frame.sys.businessFile.entity;


import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;

/**
 * @description: 文件业务关系
 * @tableName: sys_business_file
 * @entityName: BusinessFileEntity
 * @author: gjh
 * @history: 1.0
 */
public class BusinessFileEntity extends BaseEntity {

    /**
     * 附件表生成的唯一新名称
     */
    private String file_save_name;
    /**
     * 业务表ID（应用表,）
     */
    private String business_id;
    /****
     * 业务类型 1、应用
     * @content:
     * @author 👻👻👻👻👻👻👻👻 gjh
     * @date  2023-10-09 8:19
     * @param
     * @return
     **/
    private String business_type;
    /**
     * 单票ID
     */
    private Long ticket_id;
    /**
     * 附件类型
     */
    private String file_type;
    /**
     * 附件名称
     */
    private String file_name;
    /**
     * 上传人名称
     */
    private String upload_user;
    /**
     * 单证号码
     */
    private String file_number;
    /**
     * 单证名称
     */
    private String documents_name;
    /**
     * 备注
     */
    private String remark;
    /**
     * 关联查询文件路径
     */
    private String file_path;
    /**
     * 关联查询单票号码
     */
    private String ticket_code;
    /**
     * 接收打包下载的文件集合
     */
    private List<BusinessFileEntity> businessFileEntityList;
    /**
     * JSON数据字符串
     */
    private String jsonDataStr;
    /**
     * 打包下载的名称
     */
    private String zipName;
    //附件数量
    private Long file_count;
    /**
     * 单票服务项List的类型查询条件集合
     */
    private List<String> ticketAllServiceEntities;
    /**
     * 接收字符串
     */
    private String ticketAllJsonStr;

    /**
     * 根据服务项，查询特定的附件
     */
    private List<String> business_type_list;
    /**
     * 附件集合
     */
    private String fileInfo;

    /**
     * 根据服务项，查询特定的附件
     */
    public List<String> getBusiness_type_list() {
        return business_type_list;
    }

    /**
     * 根据服务项，查询特定的附件
     */
    public void setBusiness_type_list(List<String> business_type_list) {
        this.business_type_list = business_type_list;
    }

    /**
     * 附件表生成的唯一新名称
     */
    public String getFile_save_name() {
        return file_save_name;
    }

    /**
     * 附件表生成的唯一新名称
     */
    public void setFile_save_name(String file_save_name) {
        this.file_save_name = file_save_name;
    }

    /**
     * 业务表ID（合同，预报，单票，国际物流）
     */
    public String getBusiness_id() {
        return business_id;
    }

    /**
     * 业务表ID（合同，预报，单票，国际物流）
     */
    public void setBusiness_id(String business_id) {
        this.business_id = business_id;
    }

    /**
     * 业务类型(contract/合同prediction/预报changeOrder /纯换单customsClearance /报关报检unboxing/纯开箱单shipSeal/船司盖章harbourSeal /港区盖章)
     */
    public String getBusiness_type() {
        return business_type;
    }

    /**
     * 业务类型(contract/合同prediction/预报changeOrder /纯换单customsClearance /报关报检unboxing/纯开箱单shipSeal/船司盖章harbourSeal /港区盖章)
     */
    public void setBusiness_type(String business_type) {
        this.business_type = business_type;
    }

    /**
     * 单票ID
     */
    public Long getTicket_id() {
        return ticket_id;
    }

    /**
     * 单票ID
     */
    public void setTicket_id(Long ticket_id) {
        this.ticket_id = ticket_id;
    }

    /**
     * 附件类型
     */
    public String getFile_type() {
        return file_type;
    }

    /**
     * 附件类型
     */
    public void setFile_type(String file_type) {
        this.file_type = file_type;
    }

    /**
     * 附件名称
     */
    public String getFile_name() {
        return file_name;
    }

    /**
     * 附件名称
     */
    public void setFile_name(String file_name) {
        this.file_name = file_name;
    }

    /**
     * 上传人名称
     */
    public String getUpload_user() {
        return upload_user;
    }

    /**
     * 上传人名称
     */
    public void setUpload_user(String upload_user) {
        this.upload_user = upload_user;
    }

    /**
     * 单证号码
     */
    public String getFile_number() {
        return file_number;
    }

    /**
     * 单证号码
     */
    public void setFile_number(String file_number) {
        this.file_number = file_number;
    }

    /**
     * 备注
     */
    public String getRemark() {
        return remark;
    }

    /**
     * 备注
     */
    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getTicket_code() {
        return ticket_code;
    }

    public void setTicket_code(String ticket_code) {
        this.ticket_code = ticket_code;
    }

    public List<BusinessFileEntity> getBusinessFileEntityList() {
        return businessFileEntityList;
    }

    public void setBusinessFileEntityList(List<BusinessFileEntity> businessFileEntityList) {
        this.businessFileEntityList = businessFileEntityList;
    }

    public String getFile_path() {
        return file_path;
    }

    public void setFile_path(String file_path) {
        this.file_path = file_path;
    }

    public Long getFile_count() {
        return file_count;
    }

    public void setFile_count(Long file_count) {
        this.file_count = file_count;
    }

    public String getDocuments_name() {
        return documents_name;
    }

    public void setDocuments_name(String documents_name) {
        this.documents_name = documents_name;
    }

    public List<String> getTicketAllServiceEntities() {
        return ticketAllServiceEntities;
    }

    public void setTicketAllServiceEntities(List<String> ticketAllServiceEntities) {
        this.ticketAllServiceEntities = ticketAllServiceEntities;
    }

    public String getTicketAllJsonStr() {
        return ticketAllJsonStr;
    }

    public void setTicketAllJsonStr(String ticketAllJsonStr) {
        this.ticketAllJsonStr = ticketAllJsonStr;
    }

    public String getJsonDataStr() {
        return jsonDataStr;
    }

    public void setJsonDataStr(String jsonDataStr) {
        this.jsonDataStr = jsonDataStr;
    }

    public String getZipName() {
        return zipName;
    }

    public void setZipName(String zipName) {
        this.zipName = zipName;
    }

    public String getFileInfo() {
        return fileInfo;
    }

    public void setFileInfo(String fileInfo) {
        this.fileInfo = fileInfo;
    }
}
